* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --plain-white: #ffffff;
  --plain-black: #000000;
  --plain-dark-grey: #757575;
  --plain-light-grey: #d3d3d3;
  --background-color-one: rgba(58, 85, 240, 0.52);
  --background-color-two: rgba(152, 26, 121, 0.73);
  --background-main: #ede7e333;
  --border-color-one: #82c0cc99;
  --border-color-two: #ffa62b33;
  --a-link: #666666;
  --a-link-hover: #39361f;
  --a-link-active: #a9a9a9;
  --main-background: rgba(255, 255, 255, 0.2);
  --headers-one: #ffa62b;
  --headers-two: #192f01;
  --headers-three: #39361f;
  --p-text: #ede7e3;
  --p-text-lighter: rgba(48, 58, 42, 0.5);
  --box-shadow-containers: rgba(0, 0, 0, 0.25);
  --javascript-yellow: #e2cb1b;
  --html5-red: rgb(235, 69, 40);
  --css3-blue: rgb(32, 48, 217);
  --github-black: rgb(0, 0, 0);
  --react-cyan: rgb(28, 243, 241);
}

.hide {
  display: none;
}

body {
  font-size: 16px;
  color: black;
  font-family: "Play", Verdana, Geneva, Tahoma, sans-serif;
  background: rgb(255, 255, 255);
  background-image: linear-gradient(
      176deg,
      rgb(234, 229, 236, 1) 20%,
      rgba(58, 85, 240, 0.52) 55%,
      rgba(152, 26, 121, 0.73) 100%
    ),
    url("/img/webb.png");
  /* height: 100vh; */
  /* background-attachment: fixed; */
  background-position: 30%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 100%;
  padding: 80px 20px;
  width: 100vw;
}

a {
  color: #666666;
  text-decoration: none;
}

a:hover {
  color: rgba(152, 26, 121, 0.73);
}

a:active {
  color: #a9a9a9;
}

header {
  height: 40px;
  margin-bottom: 5px;
  font-family: "Play", sans-serif;
  font-size: 20px;
  width: 100%;
  background-color: var(--plain-white);
  padding: 10px 130px;
  position: fixed;
  top: 0;
  opacity: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-image: linear-gradient(
      to left,
      rgba(58, 85, 240, 0.52) 55%,
      rgba(152, 26, 121, 0.73) 100%
    )
    1;
  transition: all 0.4s ease;
}

.header-small {
  height: 20px;
  font-size: 12px;
  opacity: 0.6;
}

.logo__block {
  color: var(--plain-black);
  font-weight: 700;
  text-align: right;
}

.logo__block span {
  color: var(--background-color-two);
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* gap: 20px; */
  background-color: var(--main-background);
  padding: 20px;
  /* border-radius: 5px 70px 5px 5px; */
  max-width: 1200px;
  border: 1px solid var(--plain-white);
}

section.main__introduction {
  display: flex;
  flex-direction: column;
  padding: 20px;
  margin-bottom: 15px;
  text-align: center;
}

section.main__introduction p {
  margin-bottom: 20px;
}

h1.main__header {
  font-size: 4rem;
  font-family: "Play", sans-serif;
  font-weight: 700;
  color: var(--background-color-one);
  max-width: 900px;
  text-align: center;
  margin: 0 auto 50px;
}

.dev__list-container h2 {
  font-family: "Play", sans-serif;
  font-size: 1.75rem;
  color: var(--headers-two);
  margin-bottom: 20px;
}

.dev__list h3,
.dev__list h3 a {
  color: var(--headers-three);
  margin-bottom: 10px;
}

p.main__content {
  color: var(--plain-dark-grey);
  width: 60%;
  margin: 0 auto;
  font-size: 24px;
  line-height: 32px;
}

.border__bottom-blue {
  border-bottom: 8px solid rgba(58, 85, 240, 0.52);
}

.border__bottom-pink {
  border-bottom: 8px solid rgba(152, 26, 121, 0.73);
}

.dev__list p {
  margin-bottom: 20px;
}

.article__content:nth-last-of-type(p) {
  margin-bottom: 10px;
}

p.tech__stack {
  font-size: 14px;
  margin-bottom: 5px;
  color: var(--p-text-lighter);
}

.dev__list-container {
  max-width: 1150px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 20px;
  border-radius: 3px;
}

.dev__list {
  display: flex;
  width: 32%;
  padding-bottom: 10px;
  background: var(--plain-white);
  padding: 20px;
  border-radius: 3px;
  transition: all 0.4s ease;
  align-self: stretch;
  justify-content: space-between;
  flex-direction: column;
}

.article__content {
  min-height: 200px;
  /* overflow: scroll; */
}

/* main section:nth-child(2) {
  border-radius: 20px 20px 3px 3px;
}

section.dev__list-container:last-of-type {
  border-radius: 3px 3px 20px 20px;
} */

.dev__list-container footer {
  margin-top: 20px;
  margin-top: ;
}

/* .dev__list footer {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
} */

.icons {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

.icons i {
  margin-top: 5px;
  font-size: 20px;
  padding: 0 5px 0 0;
  transition: all 0.4s ease-in-out;
}

.tech__icons i,
.project__links i {
  filter: grayscale(100%);
}

.tech__icons:hover i,
.project__links:hover i {
  filter: unset;
  /* cursor: default; */
}

ul.dev__list {
}

ul.dev__list li {
  list-style: none;
  line-height: 18px;
}

/* .fa-js,
.fa-html5,
.fa-css3-alt,
.fa-square-github,
.fa-react {
  transition: color 0.4s ease-in-out;
} */

.fa-js {
  color: var(--javascript-yellow);
}

.fa-html5 {
  color: var(--html5-red);
}

.fa-css3-alt {
  color: var(--css3-blue);
}

.fa-square-github {
  color: var(--github-black);
  opacity: 0.5;
}

.fa-square-github:hover {
  color: var(--github-black);
  opacity: 1;
}

.fa-react {
  color: var(--react-cyan);
}

.project__links a:hover {
  cursor: pointer !important;
}

.first {
  margin-left: 0;
}

.last {
  margin-right: 0;
}

.top__row-last {
  border-radius: 3px 50px 3px 3px;
}

@media only screen and (max-width: 799px) {
  header {
    padding: 0 40px;
  }

  section.dev__list-container {
    /* background-color: var(--section-background); */
    /* padding: 20px; */
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
  }

  .dev__list {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .article__content {
    flex-basis: fit-content;
  }

  main {
    border: none;
    background: unset;
  }

  h1.main__header {
    font-size: 2rem;
  }

  p.main__content {
    font-size: 16px;
    line-height: 20px;
    width: unset;
  }

  .top__row-last {
    border-radius: unset;
  }
  /* main {
    width: 100%;
    border: none;
    background-color: unset;
  }

  section.main__introduction {
    display: flex;
    flex-direction: column;
  }

  h1.main__header {
    font-size: 1.25rem;
  }

  .profile__pic {
    height: 235px;
    border-radius: 20px 20px 20px 3px;
    object-fit: cover;
  }  */
}
